<app-tool-header [headerText]="headerText"></app-tool-header>
<app-car-table
  [cars]="cars"
  [editCarId]="editCarId"
  [sortColName]="sortColumnName"
  (editCar)="doEditCar($event)"
  (deleteCar)="doDeleteCar($event)"
  (cancelCar)="doCancelEdit()"
  (saveCar)="doSaveCar($event)"
  (sortCars)="doSortColumn($event)"
  (deleteCar)="doDeleteCar($event)"
></app-car-table>
<app-car-form
  buttonText="Add Car"
  (submitCar)="doAddCar($event)"
></app-car-form>
